Bug 863588 - NameError: global name 'disks' is not defined
NameError: global name 'disks' is not defined
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
abrt_hash:d6529708f06a827f81887312b9f...
:
Depends On:
Blocks: F18Blocker/F18FinalBlocker
  Show dependency treegraph
 
Reported: 2012-10-05 18:58 EDT by Adam Williamson
Modified: 2012-10-23 10:19 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-18.14-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 10:19:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (433.08 KB, text/plain)
2012-10-05 18:58 EDT, Adam Williamson
no flags Details
File: environ (885 bytes, text/plain)
2012-10-05 18:58 EDT, Adam Williamson
no flags Details
File: type (9 bytes, text/plain)
2012-10-05 18:58 EDT, Adam Williamson
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-05 18:59 EDT, Adam Williamson
no flags Details
File: storage.log (174.51 KB, text/plain)
2012-10-05 18:59 EDT, Adam Williamson
no flags Details
File: version (2 bytes, text/plain)
2012-10-05 18:59 EDT, Adam Williamson
no flags Details
File: program.log (85.82 KB, text/plain)
2012-10-05 18:59 EDT, Adam Williamson
no flags Details
File: product (6 bytes, text/plain)
2012-10-05 18:59 EDT, Adam Williamson
no flags Details
File: anaconda.log (5.00 KB, text/plain)
2012-10-05 18:59 EDT, Adam Williamson
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-05 18:59 EDT, Adam Williamson
no flags Details
File: cmdline_file (152 bytes, text/plain)
2012-10-05 18:59 EDT, Adam Williamson
no flags Details
File: release (33 bytes, text/plain)
2012-10-05 18:59 EDT, Adam Williamson
no flags Details
File: messages (138.33 KB, text/plain)
2012-10-05 18:59 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2012-10-05 18:58:53 EDT
Description of problem:
Clicking 'full disk summary and disk options' on the disk selector screen, after un-selecting the sole disk on the system.

Version-Release number of selected component:
anaconda-18.13-1.fc18.x86_64

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.0-0.rc6.git0.2.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.13 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/cart.py", line 94, in refresh
:    self.initialize(disks, free, showRemove=showRemove)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 562, in on_summary_clicked
:    free_space)
:NameError: global name 'disks' is not defined
Comment 1 Adam Williamson 2012-10-05 18:58:56 EDT
Created attachment 622491 [details]
File: anaconda-tb
Comment 2 Adam Williamson 2012-10-05 18:58:58 EDT
Created attachment 622492 [details]
File: environ
Comment 3 Adam Williamson 2012-10-05 18:58:59 EDT
Created attachment 622493 [details]
File: type
Comment 4 Adam Williamson 2012-10-05 18:59:01 EDT
Created attachment 622494 [details]
File: ifcfg.log
Comment 5 Adam Williamson 2012-10-05 18:59:03 EDT
Created attachment 622495 [details]
File: storage.log
Comment 6 Adam Williamson 2012-10-05 18:59:04 EDT
Created attachment 622496 [details]
File: version
Comment 7 Adam Williamson 2012-10-05 18:59:06 EDT
Created attachment 622497 [details]
File: program.log
Comment 8 Adam Williamson 2012-10-05 18:59:07 EDT
Created attachment 622498 [details]
File: product
Comment 9 Adam Williamson 2012-10-05 18:59:09 EDT
Created attachment 622499 [details]
File: anaconda.log
Comment 10 Adam Williamson 2012-10-05 18:59:10 EDT
Created attachment 622500 [details]
File: hashmarkername
Comment 11 Adam Williamson 2012-10-05 18:59:12 EDT
Created attachment 622501 [details]
File: cmdline_file
Comment 12 Adam Williamson 2012-10-05 18:59:13 EDT
Created attachment 622502 [details]
File: release
Comment 13 Adam Williamson 2012-10-05 18:59:15 EDT
Created attachment 622503 [details]
File: messages
Comment 14 Adam Williamson 2012-10-05 19:00:53 EDT
also happens if the disk is selected. this is my usual test VM, just a normal KVM with a 15GB virtio disk, using anaconda 18.13 in a live image. run liveinst, click the disk spoke, click 'full disk summary and disk options', crashy crashy.
Comment 15 Chris Lumens 2012-10-06 17:38:16 EDT
This is kinda hastily put together, but you can try:

updates=http://clumens.fedorapeople.org/13updates.img

And then I'll deal with really submitting patches next week.
Comment 16 Fedora Update System 2012-10-08 20:20:50 EDT
anaconda-18.14-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.14-1.fc18
Comment 17 Fedora Update System 2012-10-09 13:20:16 EDT
Package anaconda-18.14-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.14-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15707/anaconda-18.14-1.fc18
then log in and leave karma (feedback).
Comment 18 Adam Williamson 2012-10-10 00:10:29 EDT
Yup, 18.14 (TC3) fixes it.
Comment 19 Kamil Páral 2012-10-23 10:19:51 EDT
Verified and stable, closing.

Note You need to log in before you can comment on or make changes to this bug.